|
|||||||||
| Home >> All >> com >> RuntimeCollective >> webapps >> [ tag overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.RuntimeCollective.webapps.tag
Class EntityBeanTag

java.lang.Objectjavax.servlet.jsp.tagext.TagSupport
com.RuntimeCollective.webapps.tag.EntityBeanTag
- All Implemented Interfaces:
- javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag
- public abstract class EntityBeanTag
- extends javax.servlet.jsp.tagext.TagSupport
An abstract class meant to provide a base for tags that use EntityBeans.
The getEntityBean(String entityName) method returns an EntityBean based on the values of
name, scope, id, parameter, or throws a JspTagException
if the EntityBean cannot be found from these values. You should pass in the EntityBean's class name.
You should implement the doStartTag and doEndTag methods. They should
call getEntityBean(String entityName) to get the EntityBean to use.
If you add more properties, consider overriding release to free these resources as well.
-
name- the name of the EntityBean object to use. [Optional]. -
scope- the scope of thenamed EntityBean (page,request,session,application). [Optional]. -
id- the id of the EntityBean to use. [Optional]. -
parameter- the request parameter that holds the id of the EntityBean to use. [Optional].
- Version:
- $Id: EntityBeanTag.java,v 1.3 2003/09/30 15:13:18 joe Exp $
| Field Summary | |
protected java.lang.String |
id
The id of the Resource to insert. |
protected java.lang.String |
name
The name of the EntityBean object to insert. |
protected java.lang.String |
parameter
The request parameter that holds the id of the Resource to insert. |
protected java.lang.String |
scope
The scope of the EntityBean to look for. |
| Fields inherited from class javax.servlet.jsp.tagext.TagSupport |
pageContext |
| Fields inherited from interface javax.servlet.jsp.tagext.IterationTag |
EVAL_BODY_AGAIN |
| Fields inherited from interface javax.servlet.jsp.tagext.Tag |
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE |
| Constructor Summary | |
EntityBeanTag()
|
|
| Method Summary | |
int |
doEndTag()
Code to produce the end of the tag. |
abstract int |
doStartTag()
Code to produce the start of the tag. |
protected com.RuntimeCollective.webapps.bean.EntityBean |
getEntityBean(java.lang.String entityName)
Gets an EntityBean based on the values of the object's name, scope, id, and parameter properties,
or throws a JspTagException if the EntityBean cannot be found from these values. |
java.lang.String |
getId()
Get the id of the Resource to insert. |
java.lang.String |
getName()
Get the name of the EntityBean object to insert. |
java.lang.String |
getParameter()
Get the request parameter that holds the id of the Resource to insert. |
java.lang.String |
getScope()
Get the scope of the EntityBean to look for. |
void |
release()
Set name, scope, id, parameter to the empty string |
void |
setId(java.lang.String id)
Set the id of the Resource to insert. |
void |
setName(java.lang.String name)
Set the name of the EntityBean object to insert. |
void |
setParameter(java.lang.String parameter)
Set the request parameter that holds the id of the Resource to insert. |
void |
setScope(java.lang.String scope)
Set the scope of the EntityBean to look for. |
| Methods inherited from class javax.servlet.jsp.tagext.TagSupport |
doAfterBody, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
name
protected java.lang.String name
- The name of the EntityBean object to insert.
id
protected java.lang.String id
- The id of the Resource to insert.
parameter
protected java.lang.String parameter
- The request parameter that holds the id of the Resource to insert.
scope
protected java.lang.String scope
- The scope of the EntityBean to look for.
| Constructor Detail |
EntityBeanTag
public EntityBeanTag()
| Method Detail |
getName
public java.lang.String getName()
- Get the name of the EntityBean object to insert.
setName
public void setName(java.lang.String name)
- Set the name of the EntityBean object to insert.
getId
public java.lang.String getId()
- Get the id of the Resource to insert.
setId
public void setId(java.lang.String id)
- Set the id of the Resource to insert.
getParameter
public java.lang.String getParameter()
- Get the request parameter that holds the id of the Resource to insert.
setParameter
public void setParameter(java.lang.String parameter)
- Set the request parameter that holds the id of the Resource to insert.
getScope
public java.lang.String getScope()
- Get the scope of the EntityBean to look for.
setScope
public void setScope(java.lang.String scope)
- Set the scope of the EntityBean to look for.
doStartTag
public abstract int doStartTag()
throws javax.servlet.jsp.JspException
- Code to produce the start of the tag. Can call
getEntityBean()to get the EntityBean to manipulate.
doEndTag
public int doEndTag()
throws javax.servlet.jsp.JspException
- Code to produce the end of the tag. Can call
getEntityBean()to get the EntityBean to manipulate. Unless overriden, returns SKIP_BODY.
release
public void release()
- Set
name,scope,id,parameterto the empty string
getEntityBean
protected com.RuntimeCollective.webapps.bean.EntityBean getEntityBean(java.lang.String entityName) throws javax.servlet.jsp.JspException
- Gets an EntityBean based on the values of the object's
name,scope,id, andparameterproperties, or throws aJspTagExceptionif the EntityBean cannot be found from these values.
|
|||||||||
| Home >> All >> com >> RuntimeCollective >> webapps >> [ tag overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC